{% extends "users/userspace.html" %}

{% block content %}
<div class="container mt-5">
    <h1>Détails utilisateur</h1>
    {% if not user_profile.is_active %}
    <div class="alert alert-warning" role="alert">
        Cet utilisateur est désactivé.
    </div>
    {% endif %}
    <div class="table-responsive">
    <table class="table align-middle">
        <tr>
            <td>
                Nom et prénom:
            </td>
            <td>
                 {{user_profile.last_name|upper }} {{user_profile.first_name}}
            </td>
        </tr>
        <tr>
            <td>
                Adresse mail :
            </td>
            <td>
                <a href="mailto:{{ user_profile.email }}"
                                   target="_blank">
                {{ user_profile.email }}
            </td>
        </tr>
        <tr>
            <td>
                Numéro de téléphone :
            </td>
            <td> 
                {% if user_profile.phone_number %}{{ user_profile.phone_number }}{% else %}Non renseigné{% endif %}
            </td>
        </tr>
        <tr>
            <td>
                Adresse :
            </td>
            <td>
                {% if user_profile.home_address %}{{ user_profile.home_address }}{% else %}Non renseignée{% endif %}
            </td>
        </tr>
        <tr>
            <td>
                Statut :
            </td>
            <td>
                {% if user_profile.statut == 2 %}
                <span class="badge bg-success">Paysan</span>
                {% elif user_profile.statut == 3 %}
                <span class="badge bg-warning">Gestionnaire</span>
                {% elif user_profile.statut == 4 %}
                <span class="badge bg-danger">Non confirmé</span>
                {% else %}
                <span class="badge bg-primary">Utilisateur</span>
                {% endif %}
            </td>
        </tr>
        <tr>
            <td>
                Adhérent en {% now "Y" %} :
            </td>
            <td>
                {%if user_profile.adherent %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
            </td>
        </tr>
        <tr>
            <td>
                Dispose de l'essai gratuit :
            </td>
            <td>
                {%if user_profile.essai_gratuit %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
            </td>
        </tr>
    </table>
    </div>

    <h3>Contrats</h3>

    <div class="table-responsive">
    <table class="table table-striped table-hover align-middle caption-top mb-4">
        <thead>
            <tr>
                <th class="pe-1">
                    Numéro de contrat
                </th>
                <th class="pe-1">
                    Ferme
                </th>
                <th class="pe-1">
                    Nombre de distributions
                </th>
                <th class="pe-1">
                    Prix total
                </th>
                <th class="pe-1">
                    Détails
                </th>
            </tr>
            </thead>
            <tbody>
            {% for contrat in contrats %}
                <tr>
                    <td>
                        {{ contrat.id }}
                    </td>
                    <td>
                        {{ contrat.ferme.nom }}
                    </td>
                    <td>
                        {{ contrat.nombre_livraisons }}
                    </td>
                    <td>
                        {{ contrat.valeur_totale|floatformat:"2" }} €
                    </td>
                    <td>
                        <div class="col"> 
                            <a type="button" class="btn btn-link" href="{% url 'contrat_details' contrat.id %}">
                                <i class="fas fa-info-circle me-1"></i>Détails
                            </a>
                        </div>
                    </td>
                </tr>
            {% endfor %}
            {% if contrats|length == 0 %}
            <tr>
                <td colspan="5" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
            </tbody>
    </table>
</div>
{% pagination_widget page_obj request %}
</div>
{% endblock %}

